# binaryninja.binaryview.BinaryViewType

class `binaryninja.binaryview.``BinaryViewType`(handle)
  `__init__`(handle)

  Methods

  `__init__`(handle) |
  `create`(data) |
  `get_arch`(ident, endian) |
  `get_platform`(ident, arch) |
  `get_view_of_file`(filename[, update_analysis]) | `get_view_of_file` returns the first available, non-Raw BinaryView available.
  `is_valid_for_data`(data) |
  `open`(src[, file_metadata]) |
  `register_arch`(ident, endian, arch) |
  `register_default_platform`(arch, plat) |
  `register_platform`(ident, arch, plat) |

  Attributes

  `list` |
  `long_name` | BinaryView long name (read-only)
  `name` | BinaryView name (read-only)